Subject: read-from-minibuffer sets print-escape-newlines; why?
From: Paul Eggert <[email-masked]>
To: [email-masked]
Date: Tue, 24 Apr 2018 14:31:55 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

read-from-minibuffer and related functions set print-escape-newlines in 
the minibuffer, but there's no clear reason why: these functions do not 
call 'prin1' or 'print' directly, and setting print-escape-newlines 
affects behavior only in seemingly unrelated areas, such as code 
executed indirectly via activate-input-method or minibuffer-setup-hook. 
If there's no need to set print-escape-newlines then it shouldn't be 
set; if there is a need, the need should be documented. For now I'll add 
a FIXME comment about this to Emacs master.